﻿@model SocialMedia.Services.DTOs.UserDTO
@{
    ViewData["Title"] = "Basic Settings";
}

<partial name="/Views/Shared/_SettingsPartial.cshtml" />

<section>
    <div class="gap gray-bg">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="row" id="page-contents">
                        <div class="col-lg-3">
                            <aside class="sidebar static">
                            </aside>
                        </div>
                        <div class="col-lg-6">
                            <div class="central-meta">
                                <div class="editing-info">
                                    <h5 class="f-title"><i class="ti-info-alt"></i> Edit Basic Information</h5>

                                    <form method="post">
                                        <div class="form-group half">
                                            <input asp-for="FirstName" type="text" id="input" required="required" />
                                            <label class="control-label" for="input">First Name</label><i class="mtrl-select"></i>
                                        </div>
                                        <div class="form-group half">
                                            <input asp-for="LastName" type="text" required="required" />
                                            <label class="control-label" for="input">Last Name</label><i class="mtrl-select"></i>
                                        </div>
                                        <div class="form-group">
                                            <input asp-for="Email" type="text" required="required" />
                                            <label class="control-label" for="input">Email</label><i class="mtrl-select"></i>
                                        </div>
                                        <div class="form-group">
                                            <input asp-for="PhoneNumber" type="text" required="required" />
                                            <label class="control-label" for="input">Phone No.</label><i class="mtrl-select"></i>
                                        </div>
                                        <div class="dob">
                                            <div class="form-group">
                                                <select name="birthDay">
                                                    <option value="@Model.DateOfBirth.Day">@Model.DateOfBirth.Day</option>
                                                    <option>1</option>
                                                    <option>2</option>
                                                    <option>3</option>
                                                    <option>4</option>
                                                    <option>5</option>
                                                    <option>6</option>
                                                    <option>7</option>
                                                    <option>8</option>
                                                    <option>9</option>
                                                    <option>10</option>
                                                    <option>11</option>
                                                    <option>12</option>
                                                    <option>13</option>
                                                    <option>14</option>
                                                    <option>15</option>
                                                    <option>16</option>
                                                    <option>17</option>
                                                    <option>18</option>
                                                    <option>19</option>
                                                    <option>20</option>
                                                    <option>21</option>
                                                    <option>22</option>
                                                    <option>23</option>
                                                    <option>24</option>
                                                    <option>25</option>
                                                    <option>26</option>
                                                    <option>27</option>
                                                    <option>28</option>
                                                    <option>29</option>
                                                    <option>30</option>
                                                    <option>31</option>
                                                </select>
                                            </div>
                                            <div class="form-group">
                                                <select name="birthMonth">
                                                    <option value="@Model.DateOfBirth.ToString("MMM")">@Model.DateOfBirth.ToString("MMM")</option>
                                                    <option>Jan</option>
                                                    <option>Feb</option>
                                                    <option>Mar</option>
                                                    <option>Apr</option>
                                                    <option>May</option>
                                                    <option>Jun</option>
                                                    <option>Jul</option>
                                                    <option>Aug</option>
                                                    <option>Sep</option>
                                                    <option>Oct</option>
                                                    <option>Nov</option>
                                                    <option>Dec</option>
                                                </select>
                                            </div>
                                            <div class="form-group">
                                                <select name="birthYear">
                                                    <option value="@Model.DateOfBirth.Year">@Model.DateOfBirth.Year</option>
                                                    <option>1910</option>
                                                    <option>1911</option>
                                                    <option>1912</option>
                                                    <option>1913</option>
                                                    <option>1914</option>
                                                    <option>1915</option>
                                                    <option>1916</option>
                                                    <option>1917</option>
                                                    <option>1918</option>
                                                    <option>1919</option>
                                                    <option>1920</option>
                                                    <option>1921</option>
                                                    <option>1922</option>
                                                    <option>1923</option>
                                                    <option>1924</option>
                                                    <option>1925</option>
                                                    <option>1926</option>
                                                    <option>1927</option>
                                                    <option>1928</option>
                                                    <option>1929</option>
                                                    <option>1930</option>
                                                    <option>1931</option>
                                                    <option>1932</option>
                                                    <option>1933</option>
                                                    <option>1934</option>
                                                    <option>1935</option>
                                                    <option>1936</option>
                                                    <option>1937</option>
                                                    <option>1938</option>
                                                    <option>1939</option>
                                                    <option>1940</option>
                                                    <option>1941</option>
                                                    <option>1942</option>
                                                    <option>1943</option>
                                                    <option>1944</option>
                                                    <option>1945</option>
                                                    <option>1946</option>
                                                    <option>1947</option>
                                                    <option>1948</option>
                                                    <option>1949</option>
                                                    <option>1950</option>
                                                    <option>1951</option>
                                                    <option>1952</option>
                                                    <option>1953</option>
                                                    <option>1954</option>
                                                    <option>1955</option>
                                                    <option>1956</option>
                                                    <option>1957</option>
                                                    <option>1958</option>
                                                    <option>1959</option>
                                                    <option>1960</option>
                                                    <option>1961</option>
                                                    <option>1962</option>
                                                    <option>1963</option>
                                                    <option>1964</option>
                                                    <option>1965</option>
                                                    <option>1966</option>
                                                    <option>1967</option>
                                                    <option>1968</option>
                                                    <option>1969</option>
                                                    <option>1970</option>
                                                    <option>1971</option>
                                                    <option>1972</option>
                                                    <option>1973</option>
                                                    <option>1974</option>
                                                    <option>1975</option>
                                                    <option>1976</option>
                                                    <option>1977</option>
                                                    <option>1978</option>
                                                    <option>1979</option>
                                                    <option>1980</option>
                                                    <option>1981</option>
                                                    <option>1982</option>
                                                    <option>1983</option>
                                                    <option>1984</option>
                                                    <option>1985</option>
                                                    <option>1986</option>
                                                    <option>1987</option>
                                                    <option>1988</option>
                                                    <option>1989</option>
                                                    <option>1990</option>
                                                    <option>1991</option>
                                                    <option>1992</option>
                                                    <option>1993</option>
                                                    <option>1994</option>
                                                    <option>1995</option>
                                                    <option>1996</option>
                                                    <option>1997</option>
                                                    <option>1998</option>
                                                    <option>1999</option>
                                                    <option>2000</option>
                                                    <option>2001</option>
                                                    <option>2002</option>
                                                    <option>2003</option>
                                                    <option>2004</option>
                                                    <option>2005</option>
                                                    <option>2006</option>
                                                    <option>2007</option>
                                                    <option>2008</option>
                                                    <option>2009</option>
                                                    <option>2010</option>

                                                </select>
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <select asp-for="CountryId" asp-items="ViewBag.CountryList"></select>
                                        </div>
                                        <div class="form-group">
                                            <textarea rows="4" id="textarea" name="aboutSection" required="required">@Model.About</textarea>
                                            <label class="control-label" for="textarea">About Me</label><i class="mtrl-select"></i>
                                        </div>
                                        <div class="submit-btns">
                                            <button type="submit" class="mtr-btn"><span>Update</span></button>
                                        </div>
                                    </form>
                                    <form method="post" enctype="multipart/form-data">
                                        <input type="file" name="file" required />
                                        <button class="btn btn-success" type="submit" asp-controller="Settings" asp-action="UploadPfp">Update Picture</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-3">
                            <aside class="sidebar static">
                            </aside>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>